phing-tasks-system

# Class: InputTask Source Location: /tasks/system/InputTask.php
### Class Overview
    ProjectComponent
       |
       --Task
          |
          --InputTask
Reads input from the InputHandler. #### Author(s): Hans Lellelid <hans@xmpl.org> (Phing) Ulrich Schmidt <usch@usch.net> (Ant) Stefan Bodewig <stefan.bodewig@epost.de> (Ant) #### Version: $Revision: 526 $ #### Copyright: � 2001,2002 THYRELL. All rights reserved | ### Methods addText main setDefaultValue setMessage setPromptChar setPropertyName setValidargs
### Inherited Variables #### Class: Task Task::$description Task::$location Task::$target Task::$taskName Task::$taskType Task::$wrapper #### Class: ProjectComponent ProjectComponent::$project | ### Inherited Methods #### Class: Task Task::getDescription() Returns the textual description of the task Task::getLocation() Returns the location within the buildfile this task occurs. Used by BuildException to give detailed error messages. Task::getOwningTarget() Returns the owning target of this task. Task::getRegisterSlot() Returns a name Task::getRuntimeConfigurableWrapper() Returns the wrapper object for runtime configuration Task::getTaskName() Returns the name of task, used only for log messages Task::getTaskType() Returns the name of the task under which it was invoked, usually the XML tagname Task::init() Called by the parser to let the task initialize properly. Task::log() Provides a project level log event to the task. Task::main() Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running <em>phing target1 target2</em> will run all tasks in target3 twice. Task::maybeConfigure() Configure this task if it hasn't been done already. Task::perform() Perfrom this task Task::setDescription() Sets a textual description of the task Task::setLocation() Sets the location within the buildfile this task occurs. Called by the parser to set location information. Task::setOwningTarget() Sets the owning target this task belongs to. Task::setRuntimeConfigurableWrapper() Sets the wrapper object this task should use for runtime configurable elements. Task::setTaskName() Sets the name of this task for log messages Task::setTaskType() Sets the type of the task. Usually this is the name of the XML tag #### Class: ProjectComponent ProjectComponent::getProject() Returns a reference to current project ProjectComponent::log() Logs a message with the given priority. ProjectComponent::setProject() References the project to the current component.
### Class Details [line 37] Reads input from the InputHandler. #### Tags:
author: | Hans Lellelid <hans@xmpl.org> (Phing)
author: | Ulrich Schmidt <usch@usch.net> (Ant)
author: | Stefan Bodewig <stefan.bodewig@epost.de> (Ant)
version: | $Revision: 526 $
copyright: | � 2001,2002 THYRELL. All rights reserved
see: | Project::getInputHandler()
[ Top ] ### Class Methods ### method addText [line 77]
`void addText( $msg)`
Set a multiline message. #### Tags:
access: | public
#### Parameters:
| $msg |
[ Top ] ### method main [line 101]
`void main( )`
Actual method executed by phing. #### Tags:
throws: | BuildException
access: | public
Overrides Task::main() (Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running <em>phing target1 target2</em> will run all tasks in target3 twice.) [ Top ] ### method setDefaultValue [line 85]
`void setDefaultValue( string $v)`
Add a default value. #### Tags:
access: | public
#### Parameters:
string | $v |
[ Top ] ### method setMessage [line 70]
`void setMessage( message $message)`
Sets the Message which gets displayed to the user during the build run. #### Tags:
access: | public
#### Parameters:
message | $message | The message to be displayed.
[ Top ] ### method setPromptChar [line 93]
`void setPromptChar( string $c)`
Set the character/string to use for the prompt. #### Tags:
access: | public
#### Parameters:
string | $c |
[ Top ] ### method setPropertyName [line 62]
`void setPropertyName( string $name)`
Defines the name of a property to be set from input. #### Tags:
access: | public
#### Parameters:
string | $name | Name for the property to be set from input
[ Top ] ### method setValidargs [line 53]
`void setValidargs( validargs $validargs)`
Defines valid input parameters as comma separated strings. If set, input task will reject any input not defined as accepted and requires the user to reenter it. Validargs are case sensitive. If you want 'a' and 'A' to be accepted you need to define both values as accepted arguments. #### Tags:
access: | public
#### Parameters:
validargs | $validargs | A comma separated String defining valid input args.
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:51:07 +0200 by phpDocumentor 1.4.3